Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class WorldInfo

    java.lang.Object
      net.minecraft.src.WorldInfo

Direct Known Subclasses:
  DerivedWorldInfo

    public class WorldInfo

extends Object

Constructor Summary
`WorldInfo(NBTTagCompound par1NBTTagCompound)`
`WorldInfo(WorldInfo par1WorldInfo)`
`WorldInfo(WorldSettings par1WorldSettings, String par2Str)`

Method Summary
`boolean` | `areCommandsAllowed()` Returns true if commands are allowed on this World.
`NBTTagCompound` | `cloneNBTCompound(NBTTagCompound par1NBTTagCompound)` Creates a new NBTTagCompound for the world, with the given NBTTag as the "Player"
`String` | `func_82571_y()`
`void` | `func_82572_b(long par1)`
`void` | `func_85118_a(CrashReportCategory par1CrashReportCategory)`
`NBTBase` | `getAdditionalProperty(String additionalProperty)`
`int` | `getDimension()`
`GameRules` | `getGameRulesInstance()` Gets the GameRules class Instance.
`EnumGameType` | `getGameType()` Gets the GameType.
`long` | `getLastTimePlayed()`
`NBTTagCompound` | `getNBTTagCompound()` Gets the NBTTagCompound for the worldInfo
`NBTTagCompound` | `getPlayerNBTTagCompound()` Returns the player's NBTTagCompound to be loaded
`int` | `getRainTime()` Return the number of ticks until rain.
`int` | `getSaveVersion()` Returns the save version of this world
`long` | `getSeed()` Returns the seed of current world.
`long` | `getSizeOnDisk()`
`int` | `getSpawnX()` Returns the x spawn position
`int` | `getSpawnY()` Return the Y axis spawning point of the player.
`int` | `getSpawnZ()` Returns the z spawn position
`WorldType` | `getTerrainType()`
`int` | `getThunderTime()` Returns the number of ticks until next thunderbolt.
`String` | `getWorldName()` Get current world name
`long` | `getWorldTime()` Get current world time
`long` | `getWorldTotalTime()`
`boolean` | `isHardcoreModeEnabled()` Returns true if hardcore mode is enabled, otherwise false
`boolean` | `isInitialized()` Returns true if the World is initialized.
`boolean` | `isMapFeaturesEnabled()` Get whether the map features (e.g.
`boolean` | `isRaining()` Returns true if it is raining, false otherwise.
`boolean` | `isThundering()` Returns true if it is thundering, false otherwise.
`void` | `setAdditionalProperties(Map<String,NBTBase> additionalProperties)` Allow access to additional mod specific world based properties Used by FML to store mod list associated with a world, and maybe an id map Used by Forge to store the dimensions available to a world
`void` | `setGameType(EnumGameType par1EnumGameType)` Sets the GameType.
`void` | `setRaining(boolean par1)` Sets whether it is raining or not.
`void` | `setRainTime(int par1)` Sets the number of ticks until rain.
`void` | `setSaveVersion(int par1)` Sets the save version of the world
`void` | `setServerInitialized(boolean par1)` Sets the initialization status of the World.
`void` | `setSpawnPosition(int par1, int par2, int par3)` Sets the spawn zone position.
`void` | `setSpawnX(int par1)`
`void` | `setSpawnY(int par1)`
`void` | `setSpawnZ(int par1)`
`void` | `setTerrainType(WorldType par1WorldType)`
`void` | `setThundering(boolean par1)` Sets whether it is thundering or not.
`void` | `setThunderTime(int par1)` Defines the number of ticks until next thunderbolt.
`void` | `setWorldName(String par1Str)`
`void` | `setWorldTime(long par1)` Set current world time

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorldInfo

    public WorldInfo(NBTTagCompound par1NBTTagCompound)

### WorldInfo

    public WorldInfo(WorldSettings par1WorldSettings,
                     String par2Str)

### WorldInfo

    public WorldInfo(WorldInfo par1WorldInfo)

Method Detail

### getNBTTagCompound

    public NBTTagCompound getNBTTagCompound()

  Gets the NBTTagCompound for the worldInfo

### cloneNBTCompound

    public NBTTagCompound cloneNBTCompound(NBTTagCompound par1NBTTagCompound)

  Creates a new NBTTagCompound for the world, with the given NBTTag as the "Player"

### getSeed

    public long getSeed()

  Returns the seed of current world.

### getSpawnX

    public int getSpawnX()

  Returns the x spawn position

### getSpawnY

    public int getSpawnY()

  Return the Y axis spawning point of the player.

### getSpawnZ

    public int getSpawnZ()

  Returns the z spawn position

### getWorldTotalTime

    public long getWorldTotalTime()

### getWorldTime

    public long getWorldTime()

  Get current world time

### getSizeOnDisk

    public long getSizeOnDisk()

### getPlayerNBTTagCompound

    public NBTTagCompound getPlayerNBTTagCompound()

  Returns the player's NBTTagCompound to be loaded

### getDimension

    public int getDimension()

### setSpawnX

    public void setSpawnX(int par1)

### setSpawnY

    public void setSpawnY(int par1)

### func_82572_b

    public void func_82572_b(long par1)

### setSpawnZ

    public void setSpawnZ(int par1)

### setWorldTime

    public void setWorldTime(long par1)

  Set current world time

### setSpawnPosition

    public void setSpawnPosition(int par1,
                                 int par2,
                                 int par3)

  Sets the spawn zone position. Args: x, y, z

### getWorldName

    public String getWorldName()

  Get current world name

### setWorldName

    public void setWorldName(String par1Str)

### getSaveVersion

    public int getSaveVersion()

  Returns the save version of this world

### setSaveVersion

    public void setSaveVersion(int par1)

  Sets the save version of the world

### getLastTimePlayed

    public long getLastTimePlayed()

### isThundering

    public boolean isThundering()

  Returns true if it is thundering, false otherwise.

### setThundering

    public void setThundering(boolean par1)

  Sets whether it is thundering or not.

### getThunderTime

    public int getThunderTime()

  Returns the number of ticks until next thunderbolt.

### setThunderTime

    public void setThunderTime(int par1)

  Defines the number of ticks until next thunderbolt.

### isRaining

    public boolean isRaining()

  Returns true if it is raining, false otherwise.

### setRaining

    public void setRaining(boolean par1)

  Sets whether it is raining or not.

### getRainTime

    public int getRainTime()

  Return the number of ticks until rain.

### setRainTime

    public void setRainTime(int par1)

  Sets the number of ticks until rain.

### getGameType

    public EnumGameType getGameType()

  Gets the GameType.

### isMapFeaturesEnabled

    public boolean isMapFeaturesEnabled()

  Get whether the map features (e.g. strongholds) generation is enabled or disabled.

### setGameType

    public void setGameType(EnumGameType par1EnumGameType)

  Sets the GameType.

### isHardcoreModeEnabled

    public boolean isHardcoreModeEnabled()

  Returns true if hardcore mode is enabled, otherwise false

### getTerrainType

    public WorldType getTerrainType()

### setTerrainType

    public void setTerrainType(WorldType par1WorldType)

### func_82571_y

    public String func_82571_y()

### areCommandsAllowed

    public boolean areCommandsAllowed()

  Returns true if commands are allowed on this World.

### isInitialized

    public boolean isInitialized()

  Returns true if the World is initialized.

### setServerInitialized

    public void setServerInitialized(boolean par1)

  Sets the initialization status of the World.

### getGameRulesInstance

    public GameRules getGameRulesInstance()

  Gets the GameRules class Instance.

### func_85118_a

    public void func_85118_a(CrashReportCategory par1CrashReportCategory)

### setAdditionalProperties

    public void setAdditionalProperties(Map<String,NBTBase> additionalProperties)

  Allow access to additional mod specific world based properties Used by FML to store mod list associated with a world, and maybe an id map Used by Forge to store the dimensions available to a world

  Parameters:
    `additionalProperties` -

### getAdditionalProperty

    public NBTBase getAdditionalProperty(String additionalProperty)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD